---
updatedAt: 2026-09-26T02:51:07.000Z
agentTools:
  projectIndex: https://developers.dialpad.com/llms.txt
---

# Coaching Team -- Add Member

Add a user to the specified coaching team as trainee or coach.

Rate limit: 1200 per minute.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "protos.coaching_team.CoachingTeamMemberMessage": {
        "properties": {
          "member_id": {
            "description": "The id of the user added to the coaching team.",
            "type": "string"
          },
          "role": {
            "description": "The role of the user added.",
            "enum": [
              "coach",
              "trainee"
            ],
            "type": "string"
          }
        },
        "required": [
          "member_id",
          "role"
        ],
        "title": "Coaching team membership.",
        "type": "object"
      },
      "protos.coaching_team.CoachingTeamMemberProto": {
        "properties": {
          "accept_powerdialer_calls": {
            "description": "Whether the member is willing to receive Power Dialer campaign calls for this team.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "admin_office_ids": {
            "description": "The list of ids of offices where the user is an admin.",
            "items": {
              "format": "int64",
              "type": "integer"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "company_id": {
            "description": "The id of user's company.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "country": {
            "description": "Country of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "date_active": {
            "description": "The date when the user is activated.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "date_added": {
            "description": "The date when the user is added.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "date_first_login": {
            "description": "The date when the user is logged in first time.",
            "format": "date-time",
            "type": [
              "null",
              "string"
            ]
          },
          "do_not_disturb": {
            "description": "Boolean to tell if the user is on DND.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "emails": {
            "description": "Emails of the user.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "extension": {
            "description": "Extension of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "first_name": {
            "description": "[single-line only]\n\nFirst name of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "forwarding_numbers": {
            "description": "The list of forwarding numbers set for the user.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "id": {
            "description": "Unique id of the user.",
            "format": "int64",
            "type": "integer"
          },
          "image_url": {
            "description": "Link to the user's profile image.",
            "type": [
              "null",
              "string"
            ]
          },
          "is_admin": {
            "description": "Boolean to tell if the user is admin.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_available": {
            "description": "Boolean to tell if the user is available.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_on_duty": {
            "description": "Boolean to tell if the user is on duty.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_online": {
            "description": "Boolean to tell if the user is online.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "is_super_admin": {
            "description": "Boolean to tell if the user is super admin.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "job_title": {
            "description": "[single-line only]\n\nJob title of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "language": {
            "description": "Language of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "last_name": {
            "description": "[single-line only]\n\nLast name of the User.",
            "type": [
              "null",
              "string"
            ]
          },
          "license": {
            "description": "License of the user.",
            "enum": [
              "admins",
              "agents",
              "dpde_all",
              "dpde_one",
              "lite_lines",
              "lite_support_agents",
              "magenta_lines",
              "talk",
              "user",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "location": {
            "description": "[single-line only]\n\nThe self-reported location of the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "muted": {
            "description": "Boolean to tell if the user is muted.",
            "type": [
              "boolean",
              "null"
            ]
          },
          "office_id": {
            "description": "Id of the user's office.",
            "format": "int64",
            "type": [
              "integer",
              "null"
            ]
          },
          "phone_numbers": {
            "description": "The list of phone numbers assigned to the user.",
            "items": {
              "type": "string"
            },
            "type": [
              "array",
              "null"
            ]
          },
          "role": {
            "description": "The role of the user within the coaching team.",
            "enum": [
              "coach",
              "trainee"
            ],
            "type": "string"
          },
          "state": {
            "description": "The enablement state of the user.",
            "enum": [
              "active",
              "cancelled",
              "deleted",
              "pending",
              "suspended",
              null
            ],
            "type": [
              "null",
              "string"
            ]
          },
          "status_message": {
            "description": "[single-line only]\n\nStatus message set by the user.",
            "type": [
              "null",
              "string"
            ]
          },
          "timezone": {
            "description": "Timezone of the user.",
            "type": [
              "null",
              "string"
            ]
          }
        },
        "required": [
          "id",
          "role"
        ],
        "title": "Coaching team member.",
        "type": "object"
      }
    },
    "securitySchemes": {
      "bearer_token": {
        "description": "The API key can be put in the Authorization header.\ni.e. Authorization: Bearer <api_key>",
        "scheme": "bearer",
        "type": "http"
      }
    }
  },
  "info": {
    "description": "Dialpad's APIs for customer and third-party developer use",
    "title": "Dialpad",
    "version": "v2",
    "x-logo": {
      "altText": "Dialpad",
      "url": "https://storage.googleapis.com/dialpad_openapi_specs/logo.png"
    }
  },
  "openapi": "3.1.0",
  "paths": {
    "/api/v2/coachingteams/{id}/members": {
      "post": {
        "deprecated": false,
        "description": "Add a user to the specified coaching team as trainee or coach.\n\nRate limit: 1200 per minute.",
        "operationId": "coaching_team.members.add",
        "parameters": [
          {
            "description": "Id of the coaching team",
            "in": "path",
            "name": "id",
            "required": true,
            "schema": {
              "format": "int64",
              "type": "integer"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/protos.coaching_team.CoachingTeamMemberMessage",
                "type": "object"
              }
            }
          }
        },
        "responses": {
          "200": {
            "content": {
              "application/json": {
                "examples": {
                  "json_example": {
                    "value": {
                      "accept_powerdialer_calls": false,
                      "company_id": "6456332278300672",
                      "country": "us",
                      "date_added": "2013-01-01T00:00:00",
                      "do_not_disturb": false,
                      "emails": [
                        "test-email@test.com"
                      ],
                      "first_name": "テÉst",
                      "id": "6478322510856192",
                      "image_url": "https://dialpad.com/avatar/user/ag5kZXZ-dWJlci12b2ljZXIYCxILVXNlclByb2ZpbGUYgICAgICAwQsM.png?version=36c0561fb8e0f5765ccfb3a5316f6d5d",
                      "is_admin": false,
                      "is_available": true,
                      "is_on_duty": false,
                      "is_online": false,
                      "is_super_admin": false,
                      "language": "en",
                      "last_name": "Bot",
                      "license": "talk",
                      "muted": false,
                      "office_id": "5048957394747392",
                      "phone_numbers": [
                        "+14155551006"
                      ],
                      "role": "trainee",
                      "state": "active",
                      "timezone": "US/Pacific"
                    }
                  }
                },
                "schema": {
                  "$ref": "#/components/schemas/protos.coaching_team.CoachingTeamMemberProto"
                }
              }
            },
            "description": "A successful response"
          }
        },
        "summary": "Coaching Team -- Add Member",
        "tags": [
          "coachingteams"
        ],
        "x-access": [
          "user"
        ],
        "x-ratelimit": [
          [
            20,
            1
          ]
        ]
      }
    }
  },
  "servers": [
    {
      "url": "https://dialpad.com"
    },
    {
      "url": "https://sandbox.dialpad.com"
    }
  ],
  "security": [
    {
      "bearer_token": []
    }
  ],
  "x-readme": {
    "apply-tag-changes": true,
    "explorer-enabled": true,
    "proxy-enabled": false
  }
}
```